import config
import pymysql
from pymysql import Error

# load config
DB_CONFIG = config.DB_CONFIG

# 資料庫區塊
def connet_db(config):
    con = pymysql.connect(
        host    = config['host'],
        port    = config['port'],
        user    = config['user'],
        passwd  = config['passwd'],
        db      = config['db'],
        charset = 'utf8'
    )
    return con
def db_version(db_name):
    con = connet_db((DB_CONFIG[db_name]))
    try:
        cursor = con.cursor(pymysql.cursors.DictCursor)
        cursor.execute("SELECT VERSION()")
        data = cursor.fetchone()
        return data
    except Error as e:
        return "資料庫連接失敗：", e
def select_db(sql,db_name):
    con = connet_db(DB_CONFIG[db_name])
    try:
        cursor = con.cursor(pymysql.cursors.DictCursor)
        cursor.execute(sql)
        return cursor.fetchall()
    except Error as e:
        return "資料庫連接失敗：", e
    finally:
        con.close()
def insert_db(sql,db_name):
    con = connet_db(DB_CONFIG[db_name])
    try:
        cursor = con.cursor()
        cursor.execute(sql)
        con.commit()
        return cursor.lastrowid
    except Error as e:
        return "資料庫連結失敗：", e
    finally:
        con.close()
def update_db(sql,db_name):
    con = connet_db(DB_CONFIG[db_name])
    try:
        cursor = con.cursor()
        cursor.execute(sql)
        con.commit()
    except Error as e:
        return "資料庫連結失敗：", e
    finally:
        con.close()

def query_db(sql,db_name):
    con = connet_db(DB_CONFIG[db_name])
    try:
        cursor = con.cursor()
        cursor.execute(sql)
        con.commit()
    except Error as e:
        return "資料庫連結失敗：", e
    finally:
        con.close()

def rowcount(sql,db_name):
    row = select_db(sql,db_name)
    return row[0]['count']


def to_sql(sql,db_name):
    print(sql)
    return sql

